DefaultSymbolFactory

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.parser.java_cup.runtime
Class DefaultSymbolFactory

    java.lang.Object
      weka.core.parser.java_cup.runtime.DefaultSymbolFactory

All Implemented Interfaces:
  SymbolFactory

    public class DefaultSymbolFactory

extends java.lang.Object
implements SymbolFactory

Default Implementation for SymbolFactory, creates plain old Symbols

Version:
  last updated 27-03-2006
Author:
  Michael Petter

Constructor Summary
`DefaultSymbolFactory()` Deprecated. as of CUP v11a replaced by the new java_cup.runtime.ComplexSymbolFactory

Method Summary
`Symbol` | `newSymbol(java.lang.String name, int id)`
`Symbol` | `newSymbol(java.lang.String name, int id, int left, int right)`
`Symbol` | `newSymbol(java.lang.String name, int id, int left, int right, java.lang.Object value)`
`Symbol` | `newSymbol(java.lang.String name, int id, java.lang.Object value)` Construction with left/right propagation switched off
`Symbol` | `newSymbol(java.lang.String name, int id, Symbol left, Symbol right)`
`Symbol` | `newSymbol(java.lang.String name, int id, Symbol left, Symbol right, java.lang.Object value)` Construction with left/right propagation switched on
`Symbol` | `startSymbol(java.lang.String name, int id, int state)` Construction of start symbol

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSymbolFactory

    public DefaultSymbolFactory()

  Deprecated. as of CUP v11a replaced by the new java_cup.runtime.ComplexSymbolFactory

  DefaultSymbolFactory for CUP. Users are strongly encoraged to use ComplexSymbolFactory instead, since it offers more detailed information about Symbols in source code. Yet since migrating has always been a critical process, You have the chance of still using the oldstyle Symbols.

Method Detail

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id,
                            Symbol left,
                            Symbol right,
                            java.lang.Object value)

  Description copied from interface: `SymbolFactory`
  Construction with left/right propagation switched on

  Specified by:
    `newSymbol` in interface `SymbolFactory`

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id,
                            Symbol left,
                            Symbol right)

  Specified by:
    `newSymbol` in interface `SymbolFactory`

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id,
                            int left,
                            int right,
                            java.lang.Object value)

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id,
                            int left,
                            int right)

### startSymbol

    public Symbol startSymbol(java.lang.String name,
                              int id,
                              int state)

  Description copied from interface: `SymbolFactory`
  Construction of start symbol

  Specified by:
    `startSymbol` in interface `SymbolFactory`

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id)

  Specified by:
    `newSymbol` in interface `SymbolFactory`

### newSymbol

    public Symbol newSymbol(java.lang.String name,
                            int id,
                            java.lang.Object value)

  Description copied from interface: `SymbolFactory`
  Construction with left/right propagation switched off

  Specified by:
    `newSymbol` in interface `SymbolFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD